# 1. Nutze Node.js als Basisimage       #TODO: node:20 !!!
FROM node:18-alpine

# 2. Setze das Arbeitsverzeichnis
WORKDIR /app

# 3. Kopiere die package.json und package-lock.json (falls vorhanden)
COPY package*.json ./

# 4. Installiere Abhängigkeiten
RUN npm install
RUN npm i --save-dev @types/nodemailer

# 5. Kopiere den Rest des Codes
COPY . .

# 6. Kompiliere TypeScript (optional, falls ts-node nicht genutzt wird)
RUN npx tsc

# 7. Starte das TypeScript-Skript mit ts-node
CMD ["npx", "ts-node", "mailsender.ts"]